// datas types
#if defined(_VSTUDIO_)                 // visual c++
  #define bool unsigned char
  
  typedef unsigned char u8;
  typedef unsigned short u16;
  typedef unsigned int u32;
  typedef unsigned __int64 u64;

  typedef char s8;
  typedef short s16;
  typedef int s32;
  typedef __int64 s64;

  #define ULL(a) a##UI64
  #define LL(a) a##I64
#else                                  // GCC
  typedef unsigned char bool;
  
  typedef unsigned char u8;
  typedef unsigned short u16;
  typedef unsigned int u32;
  typedef unsigned long long u64;

  typedef char s8;
  typedef short s16;
  typedef int s32;
  typedef long long s64;

  #define ULL(a) a##ULL
  #define LL(a) a##LL
#endif

// 2d vectors
typedef struct 
{
  s32 x;
  s32 y;
} vec2i;

typedef struct 
{
  s16 x;
  s16 y;
} vec2s;

