// frame buffer informations
struct FbInf
{
  s32 x;                               // x resolution
  s32 y;                               // y resolution
  s32 Bpp;                             // color depth
  s32 FBReserved;                      // reserved ram size
  void *pScreen;                       // pointer to screen (not vram)
  void *pVRam;                         // pointer to vram, NULL if direct access is not possible
};

extern struct FbInf Fb;

u8 InitGrProc(void);
extern void (*DrawPixel)(int x, int y, int Color);
extern u32 (*GetColor)(u8 R, u8 G, u8 B);
extern void ClearFb(vec2i *Pos, vec2i *Size, int Color);
