// hello world demo compiled with visual studio.
// the project options are defined with makeposprj.exe
// 2 builds configurations are defined
// DEBUG:
//   - program is executed with windows POS emulator and can be debugged using visual studio.
//   - the function SetDebugString() must be defined to pass command line, executable path and run path
//   - the executable can be run only on windows emulator
//   - the emulated drive mapped on windrv directory have Z: letter. (rw)
// RELEASE:
//   - the program can be run only on real target or qemu emulator
//   - the emulated drive mapped on windrv directory is read-only and have C: letter.
// note on qemu
//     If rw drive is required for testing the ramdrive R: can be used

#include "pos.h"

#ifdef _DEBUG
// set debug infos to debug with visual studio and emulator.
void SetDebugString(const char **CmdLine, const char **ExePath, const char **RunPath)
{
  *CmdLine = "this is a command line";
  *ExePath = "";                       // simulated path of executable
  *RunPath = "";                       // running path
}
#endif

// print hello world + arguments
int main(int argc, char **argv)
{
  int i;
  printf("Hellow world.\n");
  printf("argc = %d\n", argc);
  for (i=0; i<argc; i++)
    printf("%s ", argv[i]);
  return 0;
}

