// Inline math functions for i387.
// Copyright (C) 1995, 1996, 1997 Free Software Foundation, Inc.

#define MATH_INLINE

MATH_INLINE double __expm1 (double __x);
MATH_INLINE double __sgn1 (double __x);
MATH_INLINE double sqrt (double __x);
MATH_INLINE double fabs (double __x);
MATH_INLINE double sin (double __x);
MATH_INLINE double cos (double __x);
MATH_INLINE double tan (double __x);
MATH_INLINE double atan2 (double __y, double __x);
MATH_INLINE double asin (double __x);
MATH_INLINE double acos (double __x);
MATH_INLINE double atan (double __x);
MATH_INLINE double exp (double __x);
MATH_INLINE double sinh (double __x);
MATH_INLINE double cosh (double __x);
MATH_INLINE double tanh (double __x);
MATH_INLINE double log (double __x);
MATH_INLINE double log10 (double __x);
MATH_INLINE double __log2 (double __x);
MATH_INLINE double fmod (double __x, double __y);
MATH_INLINE double ldexp (double __x, int __y);
MATH_INLINE double pow (double __x, double __y);
MATH_INLINE double floor (double __x);
MATH_INLINE double ceil (double __x);
MATH_INLINE double hypot (double __x, double __y);
MATH_INLINE double log1p (double __x);
MATH_INLINE double asinh (double __x);
MATH_INLINE double acosh (double __x);
MATH_INLINE double atanh (double __x);
MATH_INLINE double coshm1 (double __x);
MATH_INLINE double acosh1p (double __x);
MATH_INLINE double logb (double __x);
MATH_INLINE double drem (double __x, double __y);
MATH_INLINE void sincos (double __x, double *__sinx, double *__cosx);
MATH_INLINE double sgn (double __x);
MATH_INLINE double pow2 (double __x);
